## Apache Zeta Components Manual :: Docs For Class ezcTemplateCustomBlock

### Template::ezcTemplateCustomBlock

### Interface ezcTemplateCustomBlock

Interface for classes which provides custom blocks to the template engine.

The classes must implement this interface and then return a ezcTemplateCustomBlockDefinition object from the method getCustomBlockDefinition().

Source for this file: /Template/src/interfaces/custom_block.php

Version: | //autogen//

### Method Summary

public static ezcTemplateCustomBlockDefinition | `getCustomBlockDefinition( $name )` Return a ezcTemplateCustomBlockDefinition for the given block $name.

### Methods

#### getCustomBlockDefinition

static ezcTemplateCustomBlockDefinition getCustomBlockDefinition( string $name )

Return a ezcTemplateCustomBlockDefinition for the given block $name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |

Documentation generated by phpDocumentor 1.4.3